import java.io.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

class Punto1 {

  void Punto1()
  {
  }

  static public void main(String argv[])
  {
    Connection conn=null;

    int playerno;
    String name;
    int yearJoined;
    String LeagueNO;

    /* Registrazione driver */
    try 
    {
      Class.forName("oracle.jdbc.driver.OracleDriver");
    }
    catch(Exception e)
    {
      System.err.println("Errore durante il collegamento alla base dati : "+e);
    }
    /* Fine registrazione driver */


    try
    {
      /* Connessione alla base di dati */
      conn=DriverManager.getConnection("jdbc:oracle:thin:@cclix4.polito.it:1521:XE","bdati1","orac1");

      /* Gestisco in modo non auto commit le operazioni.
         Lo faccio perch voglio che le modifiche effettuate dai comandi SQL
         siano rese permanenti solo se tutte le operazioni vanno a buon fine */
      conn.setAutoCommit(false);

      Statement stmt = conn.createStatement();
      
      /* Esecuzione interrogazione */
      String query="SELECT PLAYERNO, NAME, YEAR_JOINED, LEAGUENO FROM PLAYERS WHERE TOWN='Stratford' OR TOWN='Inglewood' ORDER BY PLAYERNO";
      
      ResultSet rsPlayers=stmt.executeQuery(query);
      
      /* Analizzo una riga alla volta il risulato dell'interrogazione */
      while (rsPlayers.next())
      {
        /* Stampo a video i dati relativi ai giocatori */
        playerno=rsPlayers.getInt("PLAYERNO");
        name=rsPlayers.getString("NAME");
        yearJoined=rsPlayers.getInt("YEAR_JOINED");
        LeagueNO=rsPlayers.getString("LEAGUENO"); 

        System.out.println(playerno+"\t"+name+"\t"+yearJoined+"\t"+LeagueNO);

      } /* Fine ciclo sui giocatori

      /* Tutte le operazioni sono finite in modo corretto.
       * Faccio il commit della transazione */
      conn.commit();
      
      /* Chiudo gli statement e le connessioni */
      stmt.close();      
      conn.close();
    }
    catch(Exception e)
    { /* Gestione eccezioni */
      System.err.println("Errore : "+e);

      /* Qualche operazione non  andata a buon fine.
       * Faccio il rollback della transazione */
      try
      { /* */
        if (conn!=null)	      
          conn.rollback();
      }
      catch(Exception excrollback)
      { /* Problemi durante il Rollback */
        System.err.println("Errore in fase di rollback : "+excrollback);
      }
    }

  }

}
	
